<?php
/**
 * Aqua Functions
 * 
 * @author: Syamil MJ
 * @authoruri: http://aquagraphite.com
 *
 * ** CONTENT **
 * * Homepage ajax scrolling
 * * 
 *
 */

/* loads content via ajax on homepage */
add_action('wp_ajax_aq_ajax_scroll', 'aq_ajax_scroll');
add_action('wp_ajax_nopriv_aq_ajax_scroll', 'aq_ajax_scroll');

function aq_ajax_scroll() {
	
	$page = $_POST['pagenum'];
	$archive_type = $_POST['archive_type'];
	$archive_id = $_POST['archive_id'];
	$post_format = $_POST['post_format'];
	$author = $_POST['author'];
	$s = $_POST['s'];
	
	$args = array(
		'paged' => $page
	);
	
	if(!empty($archive_type)) {
		switch($archive_type) {
			case 'category':
				$args['cat'] = $archive_id;
				break;
			case 'post_tag':
				$args['tag_id'] = $archive_id;
				break;
		}
	}
	
	if(!empty($post_format)) {
		$args['tax_query'] = array(
		    array(
		      'taxonomy' => 'post_format',
		      'field' => 'slug',
		      'terms' => "post-format-$post_format"
		    )
		);
	}
	
	if(!empty($author)) {
		$args['author'] = $author;
	}
	
	if(!empty($s)) {
		$args['s'] = $s;
	}
	
	query_posts($args);
	
	//let's capture the output
	ob_start();
	if (have_posts()) { 
		while (have_posts()) {
			the_post();
			$format = get_post_format();
			if ( false === $format ) $format = 'standard';
			get_template_part( '/formats/entry', $format );
		}
	}
	$output = ob_get_clean();
	
	echo $output;
	
	wp_die();
}


function aq_load_more($page = 2, $archive = null) {
	global $wp_query;
	
	$output = '';
	
	//build up the query data
	$archive_type = '';
	$archive_id = '';
	$post_format = isset($wp_query->post_format) ? $wp_query->post_format : '';
	$author = isset($wp_query->author) ? $wp_query->author : '';
	
	if (is_category()) {
		$archive_type = 'category';
		$archive_id = get_query_var('cat');
	} elseif( is_tag() ) { 
		$archive_type = 'post_tag';
		$archive_id = get_query_var('tag');
	}
	
	$maxpage = $wp_query->max_num_pages;
	
	//display load more if next page exists
	if( $maxpage >= 2) {
		$output .= '<div id="load-more">';
			$output .= '<input id="ajax-scroll-nonce" type="hidden" value="'. wp_create_nonce  ('ajax-scroll') .'" />';
			$output .= '<a href="#" data-pagenum="'. $page .'" data-maxpage="'. $maxpage .'" data-archive_type="'. $archive_type .'" data-archive_id="'. $archive_id .'" data-post_format="'. $post_format .'" data-author="'. $author .'" data-s="'.get_query_var('s').'" alt="'. __('Load More', 'wpex').'">';
				$output .= __('load more', 'framework');
			$output .= '</a>';
		$output .= '</div>';
	}
	
	return $output;
}

//you need this
if( of_get_option('ajax_loading') == '1' ) {
	$ajax_loading = 1;
} else { $ajax_loading = NULL; }